package com.zhiyun.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
@Getter
@AllArgsConstructor
public enum DeviceTypeEnum {
    /**
     * 其它
     */
    GNSS("L1_GP"),
    RAIN("L3_YL"),
    WATER("L4_NW"),
    DEEP("L1_NB"),
    TRACK("L1_LF");

    private final String type;

}
