package com.zhiyun.framework.web;

import com.zhiyun.common.utils.SecurityUtils;
import com.zhiyun.framework.UserDataScope;
import com.zhiyun.project.system.domain.dto.LoginUser;
import org.springframework.stereotype.Service;

/**
 * RuoYi首创 自定义权限实现，ss取自SpringSecurity首字母
 *
 * @author ruoyi
 */
@Service("ss")
public class PermissionService {

    /**
     * 判断用户是否拥有某个角色
     */
    public boolean checkAdmin() {
        LoginUser loginUser = SecurityUtils.getLoginUser();
        if (loginUser == null) {
            return false;
        }
        return UserDataScope.isAdmin(loginUser.getUserId());
    }

}
