package com.zhiyun.project.project.controller;

import com.zhiyun.common.model.ApiResult;
import com.zhiyun.project.project.domain.entity.Command;
import com.zhiyun.project.project.service.CommandService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/command")
public class CommandController {
    @Autowired
    private CommandService commandService;


    @GetMapping("/listCommandOptions")
    public ApiResult listCompanyOptions() {
        return ApiResult.success(commandService.listCommandOptions());
    }


    @GetMapping("/getCommandList")
    public ApiResult getCommandList(){
        return ApiResult.success(commandService.list());
    }

    @PostMapping("/save")
    public ApiResult saveCommand(@RequestBody Command command){
        return ApiResult.success(commandService.save(command));
    }

}
