package com.zhiyun.project.project.controller;

import com.zhiyun.common.annotation.Anonymous;
import com.zhiyun.common.model.ApiResult;
import com.zhiyun.project.project.domain.body.MqttBody;
import com.zhiyun.project.project.mqtt.sender.CommonSender;
import com.zhiyun.project.project.service.MqttService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/mqtt")
public class MQTTController {

    @Autowired
    private MqttService mqttService;

    @PostMapping("/send")
    @Anonymous
    public ApiResult send(@RequestBody MqttBody mqttBody) {
        return ApiResult.success(mqttService.send(mqttBody));
    }


}
