package com.zhiyun.project.project.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 公司
 *
 * @author zhiyun
 * @since 2023-05-23
 */
@Data
public class Company implements Serializable {

    /**
     * 主键ID
     */
    @TableId
    private Integer cpyid;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}
