package com.zhiyun.project.project.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;

/**
 * 设备表
 *
 * @author zhiyun
 * @since 2023-05-24
 */
@Data
public class Device implements Serializable {

    /**
     * 序号
     */
    @TableId
    private Integer id;

    private Integer pjtid;

    /**
     * 设备名称
     */
    private String devicename;

    /**
     * 设备编号
     */
    private String aliasName;

    /**
     * 设备类型
     */
    private String deviceType;

    private String mqttUsername;
    private String mqttPassword;
    private String groupId;
    private String sn;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 备注
     */
    private String remark;

    /**
     * mqtt设备类型
     */
    private String type;

    /**
     * sim卡号
     */
    private String simNo;

}
