package com.zhiyun.project.project.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhiyun.project.project.domain.entity.Company;
import com.zhiyun.project.project.domain.vo.SelectOptionsVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 公司表 Mapper 接口
 *
 * @author zhiyun
 * @since 2023-05-24
 */
@Mapper
public interface CompanyMapper extends BaseMapper<Company> {
    List<SelectOptionsVo> listCompanyOptions();
}
