package com.zhiyun.project.project.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zhiyun.project.project.domain.entity.DeviceState;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 设备表 Mapper 接口
 *
 * @author zhiyun
 * @since 2023-05-24
 */
@Mapper
public interface DeviceStateMapper extends BaseMapper<DeviceState> {
    /**
     * 保存记录
     */
    void insertDeviceStateRecord(@Param("entity") DeviceState deviceState);

}
