package com.zhiyun.project.project.service;

import com.alibaba.fastjson2.JSON;
import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.project.project.domain.body.LogBody;
import com.zhiyun.project.project.domain.entity.MqttLog;
import com.zhiyun.project.project.mapper.LogMapper;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class LogService extends ServiceImpl<LogMapper, MqttLog> {

    public Page<MqttLog> listPage(LogBody body) {
        return baseMapper.listPage(body.getPage(), body);
    }

    public Object nowLog(String devicename) {
        System.out.println(devicename);
        System.out.println(new Date().getTime());
        Object realLog = JSON.parse(baseMapper.getRealLog(devicename));
        return realLog;
    }
}
