package com.zhiyun.project.system.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.Date;

/**
 * 字典数据表 sys_dict_data
 *
 * @author ruoyi
 */
@Data
public class SysDictData {
    private static final long serialVersionUID = 1L;

    /**
     * 字典编码
     */
    @TableId("dict_code")
    private Long dictCode;

    /**
     * 字典排序
     */
    @TableField("dict_sort")
    private Long dictSort;

    /**
     * 字典标签
     */
    @TableField("dict_label")
    private String dictLabel;

    /**
     * 字典键值
     */
    @TableField("dict_value")
    private String dictValue;

    /**
     * 字典类型
     */
    @TableField("dict_type")
    private String dictType;

    /**
     * 表格字典样式
     */
    @TableField("list_class")
    private String listClass;

    /**
     * 备注
     */
    @TableField("remark")
    private String remark;

}
