package com.zhiyun.project.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zhiyun.project.system.domain.entity.SysDictData;

import java.util.List;

/**
 * 字典 业务层
 */
public interface ISysDictService extends IService<SysDictData> {

    /**
     * 重置字典缓存数据
     */
    void resetDictCache();

    /**
     * 通过字典类型获取字典数据
     */
    List<SysDictData> getDictByType(String dictType);
}
