package com.zhiyun.framework;

import com.zhiyun.common.exception.UserException;
import com.zhiyun.common.utils.SecurityUtils;
import com.zhiyun.common.utils.StringUtils;
import com.zhiyun.project.project.domain.dto.Perm;
import com.zhiyun.project.system.domain.dto.LoginUser;

/**
 * 数据过滤处理
 *
 * @author ruoyi
 */
public class UserDataScope {

    public static Perm getDataScopePerm() {
        Perm perm = new Perm();
        LoginUser user = SecurityUtils.getLoginUser();
        if (user == null) {
            throw new UserException("获取当前登录用户信息失败");
        }
        if (user.getUserId() <= 100) {
            perm.setProject("SELECT pjtid FROM project");
        } else {
            perm.setProject(StringUtils.format("SELECT pjtid FROM project WHERE cpyid = {}", user.getCpyid()));
        }
        perm.setUserId(user.getUserId());
        return perm;
    }


    public static boolean isAdmin(Integer userId) {
        return userId != null && userId <= 100;
    }

}
