package com.zhiyun.project.project.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class Command implements Serializable {
    /**
     * 主键id
     */
    @TableId
    private Integer id;

    /**
     * 命令名称
     */
    private String title;

    /**
     * 命令内容
     */
    private String label;

    /**
     * 是否弹出
     */
    private Integer ifCustom;

    /**
     * 是否开关
     */
    private Integer ifSwitch;

    /**
     * 是否板卡指令
     */
    private Integer ifCard;

    /**
     * 创建时间
     */
    private Date createTime;

}
