package com.zhiyun.project.project.domain.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 项目
 *
 * @author zhiyun
 * @since 2023-05-23
 */
@Data
public class Project implements Serializable {

    /**
     * 主键ID
     */
    @TableId
    private Integer pjtid;

    /**
     * 公司ID
     */
    private Integer cpyid;

    @TableField(exist = false)
    private String companyName;

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

}
