package com.zhiyun.project.project.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 设备基础信息视图
 *
 * @author yang xiao kun
 * create on 2023/5/24
 */
@Data
public class DeviceVo {

    /**
     * 序号
     */
    private Integer id;

    /**
     * 设备编号
     */
    private String devicename;

    /**
     * 设备名称
     */
    private String aliasName;

    /**
     * 设备类型
     */
    private String deviceType;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 设备状态
     */
    private Integer status;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * sim卡号
     */
    private String simNo;

    /**
     * 数据上传时间间隔
     */
    private Integer freq;
    /**
     * 电压
     */
    private BigDecimal powerVolt;

    /**
     * 卫星颗数
     */
    private Integer satNum;

    /**
     * 4g信号强度
     */
    private Integer signal4g;

    /**
     * 版本
     */
    private String version;

}
