package com.zhiyun.project.project.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.zhiyun.project.project.domain.body.LogBody;
import com.zhiyun.project.project.domain.entity.MqttLog;
import com.zhiyun.project.project.domain.entity.Project;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

@Mapper
public interface LogMapper extends BaseMapper<MqttLog> {
    /**
     * 分页查询日志
     */
    Page<MqttLog> listPage(Page<Project> page, @Param("param") LogBody param);

    String getRealLog( String devicename );
}
