package com.zhiyun.project.project.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.project.project.domain.entity.Company;
import com.zhiyun.project.project.domain.vo.SelectOptionsVo;
import com.zhiyun.project.project.mapper.CompanyMapper;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 项目表 服务实现类
 *
 * @author zhiyun
 * @since 2023-05-24
 */
@Service
public class CompanyService extends ServiceImpl<CompanyMapper, Company> {

    public List<SelectOptionsVo> listCompanyOptions() {
        return baseMapper.listCompanyOptions();
    }
}
