package com.zhiyun.project.project.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhiyun.project.project.domain.entity.DeviceState;
import com.zhiyun.project.project.mapper.DeviceStateMapper;
import org.springframework.stereotype.Service;


/**
 * 设备表 服务实现类
 *
 * @author zhiyun
 * @since 2023-05-24
 */
@Service
public class DeviceStateService extends ServiceImpl<DeviceStateMapper, DeviceState> {
    /**
     * 保存记录
     */
    public void saveRecord(DeviceState entity) {
        baseMapper.insertDeviceStateRecord(entity);
    }
}
