package com.zhiyun.project.project.service;

import com.zhiyun.project.project.domain.body.MqttBody;
import com.zhiyun.project.project.mqtt.sender.BaseSender;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MqttService {

    @Autowired
    private BaseSender baseSender;

    public String send(MqttBody mqttBody) {
        String topic = "/device/"+mqttBody.getDevicename()+"/UTD/agrjson";
        System.out.println(topic);
        System.out.println(mqttBody.getContent());
        System.out.println(mqttBody.toString());
        baseSender.send(mqttBody.getDevicename(), topic,mqttBody.getCmdid(), mqttBody.getContent());
        return null;
    }
}
